%define anolis_release 1

%global pypi_name nodeenv


Name:           python-%{pypi_name}
Version:        0.13.6
Release:        %{anolis_release}%{?dist}
Summary:        Node.js virtual environment builder

License:        BSD
URL:            https://github.com/ekalinin/nodeenv
Source0:        https://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
nodeenv (node.js virtual environment) is a tool to create isolated node.js
environments.
It creates an environment that has its own installation directories, that
doesn’t share libraries with other node.js virtual environments.

%package -n python3-%{pypi_name}
Summary:        Node.js virtual environment builder
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-setuptools

# test dependencies
BuildRequires:    python3-coverage
BuildRequires:    python3-flake8
BuildRequires:    python3-mock
BuildRequires:    python3-pytest

%description -n python3-%{pypi_name}
nodeenv (node.js virtual environment) is a tool to create isolated node.js
environments.
It creates an environment that has its own installation directories, that
doesn’t share libraries with other node.js virtual environments.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build

%py3_build

%install


%py3_install

%check

%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}.py*
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri May 05 2023 Funda Wang <fundawang@yeah.net> - 0.13.6-1
- Import package for anolis 23
